Flickr plugin broken

This is the place to chat about anything that's related to the free blog-hosting-service called supersized.
Locked
modules
Regular
Posts: 43
Joined: Tue Apr 12, 2005 9:51 am

Flickr plugin broken

Post by modules » Mon Dec 04, 2006 11:52 pm

Broke my blog today. I tried to install Flickr sidemap plugin.

Code: Select all

Warning: serendipity_plugin_flickr::require_once(Flickr/API.php) [function.serendipity-plugin-flickr-require-once]: failed to open stream: No such file or directory in /usr/local/lib/php/s9y-supersized/plugins/serendipity_plugin_flickr/serendipity_plugin_flickr.php on line 141

Fatal error: serendipity_plugin_flickr::require_once() [function.require]: Failed opening required 'Flickr/API.php' (include_path='.:/usr/local/lib/php/:/usr/local/lib/php/s9y-supersized:/usr/local/lib/php/s9y-supersized/bundled-libs:/usr/local/lib/php/s9y-supersized/bundled-libs/:/usr/local/lib/php/s9y-supersized/bundled-libs/Smarty/libs/:/usr/local/lib/php/s9y-supersized/:') in /usr/local/lib/php/s9y-supersized/plugins/serendipity_plugin_flickr/serendipity_plugin_flickr.php on line 141

User avatar
garvinhicking
Core Developer
Posts: 30020
Joined: Tue Sep 16, 2003 9:45 pm
Location: Cologne, Germany
Contact:

Re: Flickr plugin broken

Post by garvinhicking » Mon Dec 04, 2006 11:57 pm

Hi!

The flickr plugin requires the flickr API. Plese have a look at the README file shipped with the plugin.

To remove the plugin you can simply remove the directory.

Regards,
Garvin
# Garvin Hicking (s9y Developer)
# Did I help you? Consider making me happy: http://wishes.garv.in/
# or use my PayPal account "paypal {at} supergarv (dot) de"
# My "other" hobby: http://flickr.garv.in/

modules
Regular
Posts: 43
Joined: Tue Apr 12, 2005 9:51 am

Re: Flickr plugin broken

Post by modules » Tue Dec 05, 2006 12:00 am

garvinhicking wrote:To remove the plugin you can simply remove the directory.


hehe, i do not think that i have the necessary permissions.

User avatar
jhermanns
Site Admin
Posts: 378
Joined: Tue Apr 01, 2003 11:28 pm
Location: Berlin, Germany
Contact:

Post by jhermanns » Tue Dec 05, 2006 12:23 am

hey modules,

supersized.org just moved to a new serve and some module dependencies will fail until i find them. therefore i'm happy you reported this bug. i have added the needed file, please check if it works now - or tell me your blog's url, and i'll check for you.


thanks,
jannis.

User avatar
garvinhicking
Core Developer
Posts: 30020
Joined: Tue Sep 16, 2003 9:45 pm
Location: Cologne, Germany
Contact:

Post by garvinhicking » Tue Dec 05, 2006 12:24 am

Dang.

Must. Remember. This. Forum. Is for Supersized.

;-)

Best regards,
Garvin
# Garvin Hicking (s9y Developer)
# Did I help you? Consider making me happy: http://wishes.garv.in/
# or use my PayPal account "paypal {at} supergarv (dot) de"
# My "other" hobby: http://flickr.garv.in/

modules
Regular
Posts: 43
Joined: Tue Apr 12, 2005 9:51 am

Post by modules » Tue Dec 05, 2006 8:37 pm

Its still not working.

In adminview i got

Code: Select all

Warning: serendipity_plugin_flickr::require_once(Flickr/API.php) [function.serendipity-plugin-flickr-require-once]: failed to open stream: No such file or directory in /usr/local/lib/php/s9y-supersized/plugins/serendipity_plugin_flickr/serendipity_plugin_flickr.php on line 141

Fatal error: serendipity_plugin_flickr::require_once() [function.require]: Failed opening required 'Flickr/API.php' (include_path='.:/usr/local/lib/php/:/usr/local/lib/php/s9y-supersized:/usr/local/lib/php/s9y-supersized/bundled-libs:/usr/local/lib/php/s9y-supersized/bundled-libs/:/usr/local/lib/php/s9y-supersized/bundled-libs/Smarty/libs/:/usr/local/lib/php/s9y-supersized/:') in /usr/local/lib/php/s9y-supersized/plugins/serendipity_plugin_flickr/serendipity_plugin_flickr.php on line 141


This is from frontside

Code: Select all

Warning: serendipity_plugin_flickr::require_once(Flickr/API.php) [function.serendipity-plugin-flickr-require-once]: failed to open stream: No such file or directory in /usr/local/lib/php/s9y-supersized/plugins/serendipity_plugin_flickr/serendipity_plugin_flickr.php on line 141

Fatal error: serendipity_plugin_flickr::require_once() [function.require]: Failed opening required 'Flickr/API.php' (include_path='.:/usr/local/lib/php/:/usr/local/lib/php/s9y-supersized:/usr/local/lib/php/s9y-supersized/bundled-libs:/usr/local/lib/php/s9y-supersized/bundled-libs/:/usr/local/lib/php/s9y-supersized/bundled-libs/Smarty/libs/:/usr/local/lib/php/s9y-supersized/:') in /usr/local/lib/php/s9y-supersized/plugins/serendipity_plugin_flickr/serendipity_plugin_flickr.php

User avatar
jhermanns
Site Admin
Posts: 378
Joined: Tue Apr 01, 2003 11:28 pm
Location: Berlin, Germany
Contact:

Post by jhermanns » Thu Dec 07, 2006 4:56 pm

should be fixed, please try again :-)

modules
Regular
Posts: 43
Joined: Tue Apr 12, 2005 9:51 am

Post by modules » Thu Dec 07, 2006 10:23 pm

thx, its working now.

mojito
Regular
Posts: 13
Joined: Tue Apr 04, 2006 5:57 pm

Re: Flickr plugin broken

Post by mojito » Sun May 10, 2009 8:30 pm

I have the same issue so followed the instructions, no command line so basically copied the package across to the root of my serendipity install , I think it needed to be there and not in the root of the plugin folder is that right ? Is there a place I can just find the whole plugin , im getting lost with the difficult instructions

thanks

User avatar
judebert
Regular
Posts: 2478
Joined: Sat Oct 15, 2005 6:57 am
Location: Orlando, FL
Contact:

Re: Flickr plugin broken

Post by judebert » Wed May 13, 2009 4:33 pm

Are you on supersized.org?
Judebert
---
Website | Wishlist | PayPal

User avatar
jhermanns
Site Admin
Posts: 378
Joined: Tue Apr 01, 2003 11:28 pm
Location: Berlin, Germany
Contact:

Re: Flickr plugin broken

Post by jhermanns » Fri Jun 12, 2009 11:55 am

i don't think so :)

Locked